cg20:
  general:
    full_name: "Prizm"
    international_name: "fx-CG 10/20"
    year_launched: 2011
    predecessor: no
    successor: g90+e
    family: family.prizm
    active: no
  teaching:
    audience: audience.high_school
    exam_mode: no
    math_input: yes
    pretty_print: yes
    matrices: yes
    complex_calculus: yes
    symbolic_calculus: symbolic_calculus.QPiRac
    cas: cas.khicas_cg
  packaging:
    size: [20.6, 89.5, 189] # mm
    weight: 230 # g
    power: power.4aaa
    power_runtime: 140 # hours
  programming:
    casio_basic: casio_basic.native
    add_ins: add_ins.native
    add_ins_sdk: [add_ins_sdk.prizmsdk, add_ins_sdk.fxsdk]
    python: no
  hardware:
    mpu: "SH7305"
    cpu: "SH4AL-DSP"
    default_cpu_frequency: 56000000 # Hz
    overclock_tools: ["Pover", "Ptune"]
    max_cpu_frequency: 94000000 # Hz
    ram_chip: 2000000 # bytes
    rom_chip: 32000000 # bytes
    ram_storage: 62000 # bytes
    rom_storage: 16000000 # bytes
    sd_card: no
  devices:
    display: display.r61524
    backlit_display: backlit_display.brightness_5levels
    color_mode: color_mode.rgb565
    touch_screen: no
    display_size_pixels: [396, 224, "384x216"] # pixels
    display_size_text: [21, 7] # characters
    serial_connection: serial_connection.jack_25
    usb_connection: usb_connection.mini_usb_b
    protocols: [protocols.scsi, protocols.p7]
    transfer_software: [transfer_software.file_browser]
  misc:
    price_range: [120, 180] # euros
    last_os_version: "3.12"
  links:
    casio_france:
      "[Casio Éducation](https://web.archive.org/web/20110218025938/http://www.casio-education.fr/calculatrice_casio_fx-CG20.html) (2011)"
    casio_international:
      "[edu.casio.com](https://edu.casio.com/products/graphic/fxcg10_20/) (2021)"
  manuals:
    software_french_fr:
      "2.02": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-CG10_20_Soft_v202_FR.pdf"
      "3.10": "https://support.casio.com/fr/manual/004/fx-CG10_20_Soft_v310_FR.pdf"
      "3.11": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-CG10_20_Soft_v311_FR.pdf"
      "3.12": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-CG10_20_Soft_v312_FR.pdf"
    software_international_fr:
      "2.02": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-CG10_20_Soft_v202_FR.pdf"
      "3.10": "https://support.casio.com/fr/manual/004/fx-CG10_20_Soft_v310_FR.pdf"
      "3.11": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-CG10_20_Soft_v311_FR.pdf"
      "3.12": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-CG10_20_Soft_v312_FR.pdf"
    software_international_en:
      "2.02": "https://support.casio.com/en/manual/004/fx-CG10_20_Soft_v202_EN.pdf"
      "3.10": "https://support.casio.com/en/manual/004/fx-CG10_20_Soft_v310_EN.pdf"
      "3.11": "https://support.casio.com/en/manual/004/fx-CG10_20_Soft_v311_EN.pdf"
      "3.12": "https://support.casio.com/en/manual/004/fx-CG10_20_Soft_v312_EN.pdf"
    hardware_french_fr:
      "support.casio.com": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-CG10_20_Hard_FR.pdf"
    hardware_international_fr:
      "support.casio.com": "https://support.casio.com/storage/fr/manual/pdf/FR/004/fx-CG10_20_Hard_FR.pdf"
    hardware_international_en:
      "support.casio.com": "https://support.casio.com/en/manual/004/fx-CG10_20_Hard_EN.pdf"
